apply plugin: 'com.android.application'
//apply plugin: 'android-apt'
apply plugin: 'com.jakewharton.butterknife'

android {
    compileSdkVersion 26
    buildToolsVersion "26.0.0"
    defaultConfig {
        applicationId "com.qhclh.ytzh"
        minSdkVersion 15
        targetSdkVersion 26
        versionCode 1
        versionName "1.4.3"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

        ndk {
            //选择要添加的对应cpu类型的.so库。
            abiFilters 'armeabi', 'armeabi-v7a', 'arm64-v8a'
            // 还可以添加 'x86', 'x86_64', 'mips', 'mips64'
        }

        manifestPlaceholders = [
                JPUSH_PKGNAME : applicationId,
                JPUSH_APPKEY : "2825a92d76c57b701e2d8308", //JPush上注册的包名对应的appkey.
                JPUSH_CHANNEL : "developer-default", //暂时填写默认值即可.
        ]
    }
    aaptOptions.cruncherEnabled = false  //禁止检查图片的合理性
    aaptOptions.useNewCruncher = false
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
//    lintOptions {
//        abortOnError false
//        checkReleaseBuilds false
//    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile project(':jsonrpc')
    compile 'com.android.support:appcompat-v7:26.+'
    ///< 图片加载
    compile 'com.github.bumptech.glide:glide:3.7.0'
    compile 'com.android.support:support-v4:26.0.0-alpha1'
    compile 'com.android.support:design:26.0.0-alpha1'
    ///< 广播
    compile 'org.greenrobot:eventbus:3.0.0'
    ///< 友盟
    compile 'com.umeng.analytics:analytics:latest.integration'
    ///< 动态权限
    compile 'pub.devrel:easypermissions:0.2.1'
    compile 'com.google.code.gson:gson:2.8.1'
    ///< 数据库
    compile 'org.litepal.android:core:1.3.0'
    ///< 二维码扫描
    compile 'com.journeyapps:zxing-android-embedded:3.5.0'
    compile 'com.google.zxing:core:3.3.0'
    ///< 轮播图
    compile 'com.youth.banner:banner:1.4.10'
    compile 'com.android.support:cardview-v7:26.0.0-alpha1'
    ///< 图表工具
    compile 'com.github.lecho:hellocharts-library:1.5.8@aar'
    ///< 时间选择器
    compile 'com.prolificinteractive:material-calendarview:1.4.0'
    compile 'com.android.support.constraint:constraint-layout:1.0.2'
    testCompile 'junit:junit:4.12'
    //相册选择
    compile 'com.github.YancyYe:GalleryPick:1.2.1'
    ///< 黄油刀
    compile 'com.jakewharton:butterknife:8.5.1'
    annotationProcessor 'com.jakewharton:butterknife-compiler:8.5.1'

    compile 'cn.jiguang.sdk:jpush:3.0.9'  // 此处以JPush 3.0.9 版本为例。
    compile 'cn.jiguang.sdk:jcore:1.1.7'  // 此处以JCore 1.1.7 版本为例。
    compile 'com.teprinciple:updateapputils:1.4'
}
